use env_logger::Builder;
use log::LevelFilter;
use crate::Conf;

pub fn init_logging(config: &Result<Conf, Box<dyn std::error::Error>>) {
	if let Ok(ref config) = config {
		let level = if config.debug {
			LevelFilter::Debug
		} else {
			LevelFilter::Info
		};
		let mut builder = Builder::from_default_env();
		builder
			.filter(None, level)
			.init();
		return;
	}
	env_logger::init();
}